<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:padding="16dp"
    android:background="#282A2C">

    <TextView
        android:id="@+id/timerLabel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Timing off"
        android:textColor="@android:color/white"
        android:layout_marginBottom="16dp"
        android:layout_marginTop="16dp"
        android:textSize="18sp"/>

    <RadioGroup
        android:id="@+id/timerOptions"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:gravity="center"
        android:padding="2dp"
        android:layout_marginBottom="32dp"
        android:background="@drawable/round_rectangle"
        android:backgroundTint="@color/cardview_dark_background">

        <RadioButton
            android:id="@+id/radioOff"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="OFF"
            android:background="@drawable/timer_option_selector"
            android:textColor="@android:color/white"
            android:gravity="center"
            android:layout_marginStart="5dp"
            android:button="@null"
            android:padding="10dp"/>

        <RadioButton
            android:id="@+id/radio10"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="10"
            android:background="@drawable/timer_option_selector"
            android:textColor="@android:color/white"
            android:gravity="center"
            android:button="@null"
            android:padding="10dp"/>

        <RadioButton
            android:id="@+id/radio20"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="20"
            android:background="@drawable/timer_option_selector"
            android:textColor="@android:color/white"
            android:gravity="center"
            android:button="@null"
            android:padding="10dp"/>

        <RadioButton
            android:id="@+id/radio30"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="30"
            android:background="@drawable/timer_option_selector"
            android:textColor="@android:color/white"
            android:gravity="center"
            android:button="@null"
            android:padding="10dp"/>

        <RadioButton
            android:id="@+id/radio60"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="60"
            android:background="@drawable/timer_option_selector"
            android:textColor="@android:color/white"
            android:gravity="center"
            android:button="@null"
            android:padding="10dp"/>

        <RadioButton
            android:id="@+id/radio90"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="90"
            android:layout_marginEnd="5dp"
            android:background="@drawable/timer_option_selector"
            android:textColor="@android:color/white"
            android:gravity="center"
            android:button="@null"
            android:padding="10dp"/>

    </RadioGroup>

</LinearLayout>
